## org.eclipse.datatools.sqltools.result.internal.index
Class HistoryIndexListener

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.index.HistoryIndexListener

All Implemented Interfaces:
  IResultManagerListener

    public class HistoryIndexListener

extends java.lang.Object
implements IResultManagerListener

Listener to add or remove result instance from result history index writer

Author:
  Dafan Yang

Constructor Summary
`HistoryIndexListener()`

Method Summary
`void` `allResultInstancesRemoved()` Will be invoked when all instances are removed
`void` `parametersShow(IResultInstance instance, java.util.List params)` Will be invoked when showing the parameters in a result instance
`void` `resultInstanceAppended(IResultInstance instance, ResultItem result, int index)` Will be invoked when the instance is appended
`void` `resultInstanceCreated(IResultInstance instance)` Will be invoked when a new instance is created
`void` `resultInstanceRemoved(IResultInstance instance)` Will be invoked when an instance is removed
`void` `resultInstanceReset(IResultInstance instance)` Will be invoked when an instance if reseted
`void` `resultInstancesRemoved(IResultInstance[] instances)` Will be invoked when an arry of instances is removed
`void` `resultInstanceStatusUpdated(IResultInstance instance)` Will be invoked when the status of the instance is changed

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HistoryIndexListener

    public HistoryIndexListener()

Method Detail

### resultInstanceCreated

    public void resultInstanceCreated(IResultInstance instance)

  Description copied from interface: `IResultManagerListener`
  Will be invoked when a new instance is created

  Specified by:
    `resultInstanceCreated` in interface `IResultManagerListener`
  Parameters:
    `instance` - the result instance

### resultInstanceRemoved

    public void resultInstanceRemoved(IResultInstance instance)

  Description copied from interface: `IResultManagerListener`
  Will be invoked when an instance is removed

  Specified by:
    `resultInstanceRemoved` in interface `IResultManagerListener`
  Parameters:
    `instance` - the result instance

### resultInstanceAppended

    public void resultInstanceAppended(IResultInstance instance,
                                       ResultItem result,
                                       int index)

  Description copied from interface: `IResultManagerListener`
  Will be invoked when the instance is appended

  Specified by:
    `resultInstanceAppended` in interface `IResultManagerListener`
  Parameters:
    `instance` - the result instance
    `result` - the result item
    `index` - the index of the result item

### allResultInstancesRemoved

    public void allResultInstancesRemoved()

  Description copied from interface: `IResultManagerListener`
  Will be invoked when all instances are removed

  Specified by:
    `allResultInstancesRemoved` in interface `IResultManagerListener`

### resultInstanceStatusUpdated

    public void resultInstanceStatusUpdated(IResultInstance instance)

  Description copied from interface: `IResultManagerListener`
  Will be invoked when the status of the instance is changed

  Specified by:
    `resultInstanceStatusUpdated` in interface `IResultManagerListener`
  Parameters:
    `instance` - the result instance

### resultInstanceReset

    public void resultInstanceReset(IResultInstance instance)

  Description copied from interface: `IResultManagerListener`
  Will be invoked when an instance if reseted

  Specified by:
    `resultInstanceReset` in interface `IResultManagerListener`
  Parameters:
    `instance` - the result instance

### parametersShow

    public void parametersShow(IResultInstance instance,
                               java.util.List params)

  Description copied from interface: `IResultManagerListener`
  Will be invoked when showing the parameters in a result instance

  Specified by:
    `parametersShow` in interface `IResultManagerListener`
  Parameters:
    `instance` - the result instance
    `params` - the `Parameter` instances list
  See Also:
    `Parameter`

### resultInstancesRemoved

    public void resultInstancesRemoved(IResultInstance[] instances)

  Description copied from interface: `IResultManagerListener`
  Will be invoked when an arry of instances is removed

  Specified by:
    `resultInstancesRemoved` in interface `IResultManagerListener`
  Parameters:
    `instances` - the result instances